Loading ...
Sorry, an error occurred while loading the content.
 

Help: www.w3.org/2003/05/soap-envelope

Expand Messages
  • Paul Cowan
    When I specify - soapversion(1.2) , SOAP::Lite puts: xmlns:soap= http://www.w3.org/2001/06/soap-envelope ..in my Envelope tag. Anyone know how I can make
    Message 1 of 2 , May 28, 2004
      When I specify "-> soapversion(1.2)", SOAP::Lite puts:

      xmlns:soap="http://www.w3.org/2001/06/soap-envelope"

      ..in my Envelope tag. Anyone know how I can make it use:

      www.w3.org/2003/05/soap-envelope

      ...instead?

      My server requires that I use the SOAP 1.2, 2003 spec! Looking at
      the source, I see 2001/06 is hardcoded into a hash for Soap version
      1.2!

      Thanks!
      Paul
    • Byrne Reese
      SOAP::Lite v0.65 Beta has had all the namespaces updated to the most current. To change the SOAP Envelope namespace, do the following: use SOAP::Lite;
      Message 2 of 2 , Oct 25, 2004
        SOAP::Lite v0.65 Beta has had all the namespaces updated to the most current.

        To change the SOAP Envelope namespace, do the following:
        use SOAP::Lite;
        $SOAP::Constants::NS_ENV = "my new ns";

        Paul Cowan wrote:
        When I specify "-> soapversion(1.2)", SOAP::Lite puts:

        xmlns:soap="http://www.w3.org/2001/06/soap-envelope"

        ..in my Envelope tag.  Anyone know how I can make it use:

        www.w3.org/2003/05/soap-envelope

        ...instead?

        My server requires that I use the SOAP 1.2, 2003 spec!  Looking at
        the source, I see 2001/06 is hardcoded into a hash for Soap version
        1.2!

        Thanks!
        Paul

      Your message has been successfully submitted and would be delivered to recipients shortly.